> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 5.0 Pro 画像生成

> - **このモデルはまだ公開されていません**：現在は事前接続（事前の統合・結合テスト）が可能で、正式公開後は変更なしでそのまま呼び出せます
- Seedream 5.0 Pro（doubao-seedream-5.0-pro）モデルはテキストから画像、画像から画像、画像編集などの生成モードに対応
- 非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)
- 生成された画像リンクは24時間有効です、お早めに保存してください



## OpenAPI

````yaml ja/api-manual/image-series/seedream/seedream-5.0-pro-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: doubao-seedream-5.0-pro インターフェース
  description: AIモデルを使用して画像タスクを作成、複数のモデルとパラメータ設定に対応
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 画像生成
    description: AI画像生成関連API
paths:
  /v1/images/generations:
    post:
      tags:
        - 画像生成
      summary: doubao-seedream-5.0-pro インターフェース
      description: >-
        - **このモデルはまだ公開されていません**：現在は事前接続（事前の統合・結合テスト）が可能で、正式公開後は変更なしでそのまま呼び出せます

        - Seedream 5.0
        Pro（doubao-seedream-5.0-pro）モデルはテキストから画像、画像から画像、画像編集などの生成モードに対応

        -
        非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)

        - 生成された画像リンクは24時間有効です、お早めに保存してください
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              text_to_image:
                summary: テキストから画像
                value:
                  model: doubao-seedream-5.0-pro
                  prompt: A serene lake reflecting the beautiful sunset
                  size: '16:9'
                  quality: 2K
      responses:
        '200':
          description: 画像生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: doubao-seedream-5.0-pro'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 画像生成モデル名
          enum:
            - doubao-seedream-5.0-pro
          default: doubao-seedream-5.0-pro
          example: doubao-seedream-5.0-pro
        prompt:
          type: string
          description: 生成したい画像を説明するプロンプト、または入力画像の編集方法を説明するプロンプト、2000トークンまで
          example: A serene lake reflecting the beautiful sunset
          maxLength: 2000
        'n':
          type: integer
          description: |-
            生成する画像の数、Pro は `1` のみサポート

            **注意:**
            - 各リクエストは`n`の値に基づいて事前課金され、実際の課金は生成された画像の数に基づきます
          example: 1
        size:
          type: string
          description: >-
            生成画像のサイズ、2つのフォーマットをサポート:


            **方法1 - 比率フォーマット:**

            -
            `auto`、`1:1`、`2:3`、`3:2`、`3:4`、`4:3`、`4:5`、`5:4`、`9:16`、`16:9`、`21:9`

            - `quality`
            パラメータと組み合わせて使用すると、システムが対応する比率と解像度の画像を自動生成します（ピクセルの手動指定不要）


            **方法2 - ピクセルフォーマット:**

            - 幅x高さ、例: `1024x1024`、`2048x2048` など範囲内の値

            - 総ピクセル範囲: `[1024x1024, 2048x2048]`

            - アスペクト比範囲: `[1/16, 16]`


            `size` を指定しない場合はデフォルトで `auto`
          default: auto
          example: '16:9'
        quality:
          type: string
          description: >-
            解像度レベル、`size` の比率フォーマットと組み合わせて使用


            **説明：**

            - `1K`: 1K 解像度

            - `2K`: 2K 解像度


            `size` の比率フォーマットと組み合わせて使用すると、システムが対応する解像度の画像を自動生成します；Pro はデフォルトで
            `1K`
          enum:
            - 1K
            - 2K
          default: 1K
          example: 2K
        prompt_priority:
          type: string
          description: |-
            プロンプト最適化のモードを設定するために使用されるプロンプト最適化戦略

            **オプション:**
            - `standard`: 標準モード、より高品質な出力、処理時間が長い
          enum:
            - standard
          default: standard
          example: standard
        image_urls:
          type: array
          description: >-
            画像から画像への変換および画像編集機能のための参照画像URLリスト


            **注意:**

            - 単一リクエストでサポートされる入力画像数: `10`画像

            - 画像サイズ: `30MB`以下

            - サポートされる画像形式: `.jpeg`, `.jpg`, `.png`, `.webp`, `.bmp`, `.tiff`,
            `.gif`, `.heic`, `.heif`

            - アスペクト比（幅/高さ）範囲: `[1/16, 16]`

            - 幅と高さ（px）> 14

            - 総ピクセル数: `6000×6000`以下

            -
            画像URLはサーバーから直接表示可能であるか、アクセス時に直接ダウンロードをトリガーする必要があります（通常、これらのURLは`.png`、`.jpg`などの画像ファイル拡張子で終わります）
          items:
            type: string
            format: uri
          maxItems: 10
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        model_params:
          type: object
          description: |-
            **サポートされるパラメータ：**
            - `output_format`: 出力画像フォーマット
          properties:
            output_format:
              type: string
              description: |-
                出力画像フォーマット

                **オプション：**
                - `png`: PNG フォーマット
                - `jpeg`: JPEG フォーマット
              enum:
                - png
                - jpeg
              example: jpeg
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗時最大 `3` 回リトライ（`1` 秒/`2` 秒/`4` 秒後にリトライ）

            - コールバックレスポンスボディの形式はタスククエリ API のレスポンス形式と一致

            - コールバックアドレスが 2xx ステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1757165031
        id:
          type: string
          description: タスク ID
          example: task-unified-1757165031-seedream5pro
        model:
          type: string
          description: 使用された実際のモデル名
          example: doubao-seedream-5.0-pro
        object:
          type: string
          enum:
            - image.generation.task
          description: 具体的なタスクタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 非同期タスク情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスク出力タイプ
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 1.8
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````